ELContextImpl (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.jasper.el, class: ELContextImpl

# Class ELContextImpl

java.lang.Object
jakarta.el.ELContext
org.apache.jasper.el.ELContextImpl

public class ELContextImpl extends ELContext
Implementation of ELContext.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELContextImpl()`
  Create a new ELContextImpl with the default resolver.
  `ELContextImpl(ELResolver resolver)`
  Create a new ELContextImpl with the given resolver.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ELResolver`
  `getDefaultResolver()`
  Get the default EL resolver.
  `ELResolver`
  `getELResolver()`
  Returns the ELResolver used to resolve properties and method invocations during expression evaluation.
  `FunctionMapper`
  `getFunctionMapper()`
  Returns the FunctionMapper used to resolve EL function names to Java methods during expression evaluation.
  `VariableMapper`
  `getVariableMapper()`
  Returns the VariableMapper used to resolve EL variable names to `ValueExpression` instances during expression evaluation.
  `void`
  `setFunctionMapper(FunctionMapper functionMapper)`
  Set the function mapper.
  `void`
  `setVariableMapper(VariableMapper variableMapper)`
  Set the variable mapper.

  ### Methods inherited from class ELContext

  `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getContext, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, putContext, setLocale, setPropertyResolved, setPropertyResolved`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ELContextImpl

    public ELContextImpl()
    Create a new ELContextImpl with the default resolver.

  - ### ELContextImpl

    public ELContextImpl(ELResolver resolver)
    Create a new ELContextImpl with the given resolver.
    Parameters:
      `resolver` - The EL resolver to use

- ## Method Details

  - ### getELResolver

    public ELResolver getELResolver()
    Description copied from class: `jakarta.el.ELContext`
    Returns the ELResolver used to resolve properties and method invocations during expression evaluation.
    Specified by:
      `getELResolver` in class `ELContext`
    Returns:
      the ELResolver for this context

  - ### getFunctionMapper

    public FunctionMapper getFunctionMapper()
    Description copied from class: `jakarta.el.ELContext`
    Returns the FunctionMapper used to resolve EL function names to Java methods during expression evaluation.
    Specified by:
      `getFunctionMapper` in class `ELContext`
    Returns:
      the FunctionMapper for this context

  - ### getVariableMapper

    public VariableMapper getVariableMapper()
    Description copied from class: `jakarta.el.ELContext`
    Returns the VariableMapper used to resolve EL variable names to `ValueExpression` instances during expression evaluation.
    Specified by:
      `getVariableMapper` in class `ELContext`
    Returns:
      the VariableMapper for this context

  - ### setFunctionMapper

    public void setFunctionMapper(FunctionMapper functionMapper)
    Set the function mapper.
    Parameters:
      `functionMapper` - The function mapper

  - ### setVariableMapper

    public void setVariableMapper(VariableMapper variableMapper)
    Set the variable mapper.
    Parameters:
      `variableMapper` - The variable mapper

  - ### getDefaultResolver

    public static ELResolver getDefaultResolver()
    Get the default EL resolver.
    Returns:
      The default EL resolver